Subject: Re: [DMM] draft requirement REQ-5: Mobile IP based

From: h chan <[email-masked]>
Date: Tue, 5 Jun 2012 17:16:47 +0000

Simplify the text as follows:

REQ-5: Mobile IP based
A DMM solution SHOULD first consider reusing and extending the existing mobility protocols before specifying new protocols.
REQ-5M (Motivation for REQ-5)
The motivation is to reuse the existing protocol first before considering new protocols.

H Anthony Chan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of h chan
Sent: Wednesday, May 23, 2012 4:25 PM
To: Peter McCann; jouni korhonen
Cc: [email-masked]
Subject: Re: [DMM] draft requirement REQ-5: Mobile IP based

Clean up the text below:

REQ-5: Mobile IP based
A DMM solution that relies on a mobility protocol SHOULD be based on existing mobility protocol, such as Mobile IPv6 [RFC6275, 5555], Proxy Mobile IPv6 [RFC5213, 5844], NEMO [RFC3963], and [I-D.ietf-netext-pd-pmip]. 

(assuming the PMIPv6 PD will have an rfc number later to update this requirement)

REQ-5M (Motivation for REQ-5):
The motivation is to reuse the existing protocol first before considering new protocols.

H Anthony Chan

-----Original Message-----
From: Peter McCann 
Sent: Friday, May 18, 2012 10:01 AM
To: jouni korhonen; h chan
Cc: [email-masked]
Subject: RE: [DMM] draft requirement REQ-5: Mobile IP based

Hi, Jouni,

jouni korhonen wrote:
> 
> On May 7, 2012, at 9:11 PM, h chan wrote:
> 
>> REQ-5: Mobile IP based
>> The DMM solutions based on existing host- or network-based mobility
> protocols, such as Mobile IPv6 [RFC6275, 5555], Proxy Mobile IPv6
> [RFC5213, 5844] and NEMO [RFC3963], SHOULD be preferred, unless they
> fail to meet any of the other requirements.
> 
> What about something on the lines with:
> 
> "A DMM solution that relies on a mobility protocol should be based  on
> existing mobility protocol, such as .."

Sounds good to me.

-Pete

> - Jouni
> 
>> REQ-5M (Motivation for REQ-5) The motivation is to reuse the existing
>> protocol first before considering new protocols.
>> 
>> (The above has been drafted with contributions, inputs and discussions
>> from various people. Additional contributions and comments are most
>> welcome.)
>> 
>> H Anthony Chan
>> 
>> 
>> _______________________________________________
>> dmm mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dmm
> 
> _______________________________________________
> dmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmm

_______________________________________________
dmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dmm